Bug 497310 - Review Request: php-simplepie - Simple RSS Library in PHP
Review Request: php-simplepie - Simple RSS Library in PHP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 06:24 EDT by David Nalley
Modified: 2009-06-17 09:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 09:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-04-23 06:24:12 EDT
Spec URL: http://ke4qqq.fedorapeople.org/php-simplepie.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-simplepie-1.1.3-1.fc10.src.rpm
Description: SimplePie is a very fast and easy-to-use class, written in PHP, that puts the 'simple' back into 'really simple syndication'. Flexible enough to suit
beginners and veterans alike, SimplePie is focused on speed, ease of use,
compatibility and standards compliance.


rpmlint output:
[ke4qqq@nalleyt61 SPECS]$ rpmlint ./php-simplepie.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/php-simplepie-1.1.3-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/php-simplepie-1.1.3-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-23 10:31:42 EDT
- No need to Requires: php since it is already pulled in by php-IDNA_Convert.

- Why do you "rm -rf compatibility_test"?


rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX
- Don't mix $RPM_BUILD_ROOT and %{buildroot}. Choose one and stick with it.
- You could clean up the install phase by replacing
 %{__mkdir} -p %{buildroot}/%{_datadir}/php/%{name}
 cp -a create.php  %{buildroot}/%{_datadir}/php/%{name}/
 cp -a simplepie.inc  %{buildroot}/%{_datadir}/php/%{name}/
with
 install -D -p -m 644 create.php %{buildroot}/%{_datadir}/php/%{name}/create.php
 install -D -p -m 644 simplepie.php %{buildroot}/%{_datadir}/php/%{name}/simplepie.php

MUST: The package must be named according to the Package Naming Guidelines. OK
- No PECL, PEAR or CHANNEL.

MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
- simplepie.inc contains BSD headers.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 David Nalley 2009-04-23 10:42:58 EDT
compatibility_tests is a php page designed to display via a webserver whether or not your machine has the prerequisites (ie php 4.3 or greater) to use SimplePie. 

If you think it more appropriate, I can move it to %doc 

I'll remove the extra requires and push a new spec/srpm up shortly.
Comment 3 David Nalley 2009-04-23 10:47:57 EDT
Spec URL: http://ke4qqq.fedorapeople.org/php-simplepie.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-simplepie-1.1.3-2.fc10.src.rpm

Extra requires stripped new spec and srpm above.
Comment 4 Susi Lehtola 2009-04-23 10:57:34 EDT
(In reply to comment #2)
> compatibility_tests is a php page designed to display via a webserver whether
> or not your machine has the prerequisites (ie php 4.3 or greater) to use
> SimplePie. 
> 
> If you think it more appropriate, I can move it to %doc 

OK, no need to ship it then. But no need to delete it either!

> I'll remove the extra requires and push a new spec/srpm up shortly.  

OK.

- Use %{version} in Source0 line
- You are still mixing $RPM_BUILD_ROOT and %{buildroot}. This is a blocker.
- Don't use a macro for mkdir, it's silly and makes the spec file harder to read.
- Move the chmod's to the setup phase, since they're not related to the install phase
- Don't remove compatibility_test, since it's not going anywhere from the builddir.
[- You can copy both create.php and simplepie.inc in a single line.]
Comment 5 David Nalley 2009-04-23 11:43:21 EDT
Thanks!
Fixed those issues: 
New spec and srpm located here: 
Spec URL: http://ke4qqq.fedorapeople.org/php-simplepie.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-simplepie-1.1.3-3.fc10.src.rpm
Comment 6 Susi Lehtola 2009-04-23 13:01:48 EDT
Okay, now it looks very clean.


APPROVED
Comment 7 David Nalley 2009-04-23 13:41:39 EDT
New Package CVS Request
=======================
Package Name: php-simplepie
Short Description: Simple RSS Library in PHP
Owners: ke4qqq
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-04-27 01:36:43 EDT
cvs done.
Comment 9 Susi Lehtola 2009-05-04 14:57:01 EDT
ping?
Comment 10 Susi Lehtola 2009-05-15 12:11:41 EDT
You need to push the update to F-9 and F-10 and close this bug.
Comment 11 Susi Lehtola 2009-06-08 14:59:46 EDT
ping David
Comment 12 David Nalley 2009-06-17 09:37:14 EDT
This has been pushed to stable - apparently forgot to note the bug number in bodhi - apologized for letting it fall through the cracks.

Note You need to log in before you can comment on or make changes to this bug.